---
# Setup Cloudflare DDNS container
- ansible.builtin.include_role: 
    name: notmycloud.podman_systemd
  no_log: true
  vars:
    PODMAN_SYSTEMD_DEPLOY:
      ansible:
        systemd:
          containers:
            ddns-base:
              podman_options:
                image: "docker.io/oznu/cloudflare-ddns:latest"
                volumes: 
                  - host: /etc/localtime
                    container: /etc/localtime
                    options: ro
                environment:
                  ZONE: "{{ net_base_domain }}"
                  API_KEY: "{{ CLOUDFLARE_DDNS_API_TOKEN }}"
                  DNS_SERVER: 1.1.1.1
                labels:
                  diun.enable: true
                other_options:
                  # - '--init'
                  - '--cap-drop=all'
                  - '--security-opt=no-new-privileges'
                  - '--cap-add=SETGID'
            ddns-ipv4.home:
              podman_options:
                image: "docker.io/oznu/cloudflare-ddns:latest"
                volumes: 
                  - host: /etc/localtime
                    container: /etc/localtime
                    options: ro
                environment:
                  ZONE: "{{ net_base_domain }}"
                  SUBDOMAIN: ipv4.home
                  API_KEY: "{{ CLOUDFLARE_DDNS_API_TOKEN }}"
                  DNS_SERVER: 1.1.1.1
                labels:
                  diun.enable: true
                other_options:
                  # - '--init'
                  - '--cap-drop=all'
                  - '--security-opt=no-new-privileges'
                  - '--cap-add=SETGID'
            ddns-milestone:
              podman_options:
                image: "docker.io/oznu/cloudflare-ddns:latest"
                volumes: 
                  - host: /etc/localtime
                    container: /etc/localtime
                    options: ro
                environment:
                  ZONE: "{{ net_base_domain }}"
                  SUBDOMAIN: milestone
                  API_KEY: "{{ CLOUDFLARE_DDNS_API_TOKEN }}"
                  DNS_SERVER: 1.1.1.1
                labels:
                  diun.enable: true
                other_options:
                  # - '--init'
                  - '--cap-drop=all'
                  - '--security-opt=no-new-privileges'
                  - '--cap-add=SETGID'
            ddns-podman.home:
              podman_options:
                image: "docker.io/oznu/cloudflare-ddns:latest"
                volumes: 
                  - host: /etc/localtime
                    container: /etc/localtime
                    options: ro
                environment:
                  ZONE: "{{ net_base_domain }}"
                  SUBDOMAIN: podman.home
                  API_KEY: "{{ CLOUDFLARE_DDNS_API_TOKEN }}"
                  DNS_SERVER: 1.1.1.1
                labels:
                  diun.enable: true
                other_options:
                  # - '--init'
                  - '--cap-drop=all'
                  - '--security-opt=no-new-privileges'
                  - '--cap-add=SETGID'

